## org.jfree.xml.factory.objects
Class BasicStrokeObjectDescription

    java.lang.Object
      org.jfree.xml.factory.objects.AbstractObjectDescription
          org.jfree.xml.factory.objects.BasicStrokeObjectDescription

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, ObjectDescription

    public class BasicStrokeObjectDescription

extends AbstractObjectDescription

An object-description for a `BasicStroke` object.

Author:
  Thomas Morgner
See Also:
  Serialized Form

Constructor Summary
`BasicStrokeObjectDescription()` Creates a new object description.

Method Summary
`java.lang.Object` `createObject()` Creates a new `BasicStroke` object based on this description.
`void` `setParameterFromObject(java.lang.Object o)` Sets the parameters for this description to match the supplied object.

Methods inherited from class org.jfree.xml.factory.objects.AbstractObjectDescription
`configure, convertPrimitiveClass, equals, getConfig, getDefinedParameterNames, getInstance, getObjectClass, getParameter, getParameterDefinition, getParameterNames, getUnconfiguredInstance, hashCode, setParameter, setParameterDefinition`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicStrokeObjectDescription

    public BasicStrokeObjectDescription()

  Creates a new object description.

Method Detail

### createObject

    public java.lang.Object createObject()

  Creates a new `BasicStroke` object based on this description.

  Returns:
    The `BasicStroke` object.

### setParameterFromObject

    public void setParameterFromObject(java.lang.Object o)
                                throws ObjectFactoryException

  Sets the parameters for this description to match the supplied object.

  Parameters:
    `o` - the object (instance of `BasicStroke` required).
  Throws:
    `ObjectFactoryException` - if the supplied object is not an instance of `BasicStroke`.